grk::ImageComponentFlow Class Reference

`#include <ImageComponentFlow.h>`

## Public Member Functions

| ImageComponentFlow (uint8_t numResolutions)
virtual | ~ImageComponentFlow (void)
void | setRegionDecompression (void)
std::string | genBlockFlowTaskName (uint8_t resFlowNo)
ResFlow * | getResFlow (uint8_t resFlowNo)
void | graph (void)
ImageComponentFlow * | addTo (tf::Taskflow &composition)
FlowComponent * | getFinalFlowT1 (void)
FlowComponent * | getPrePostProc (tf::Taskflow &codecFlow)

## Public Attributes

uint8_t | numResFlows_
ResFlow * | resFlows_
FlowComponent * | waveletFinalCopy_
FlowComponent * | prePostProc_

## Constructor & Destructor Documentation

## ImageComponentFlow()

grk::ImageComponentFlow::ImageComponentFlow | ( | uint8_t | numResolutions | ) |

References grk::ResFlow::disableWavelet(), grk::grk_read(), numResFlows_, and resFlows_.

## ~ImageComponentFlow()

grk::ImageComponentFlow::~ImageComponentFlow | ( | void |  | ) |

virtual

References prePostProc_, resFlows_, and waveletFinalCopy_.

## Member Function Documentation

## addTo()

ImageComponentFlow * grk::ImageComponentFlow::addTo | ( | tf::Taskflow & | composition | ) |

References FlowComponent::addTo(), addTo(), grk::grk_read(), numResFlows_, resFlows_, and waveletFinalCopy_.

Referenced by addTo().

## genBlockFlowTaskName()

std::string grk::ImageComponentFlow::genBlockFlowTaskName | ( | uint8_t | resFlowNo | ) |

References grk::grk_read().

## getFinalFlowT1()

FlowComponent * grk::ImageComponentFlow::getFinalFlowT1 | ( | void |  | ) |

References getFinalFlowT1(), numResFlows_, resFlows_, and waveletFinalCopy_.

Referenced by grk::TileProcessor::decompressT2T1(), and getFinalFlowT1().

## getPrePostProc()

FlowComponent * grk::ImageComponentFlow::getPrePostProc | ( | tf::Taskflow & | codecFlow | ) |

References FlowComponent::addTo(), grk::grk_read(), and prePostProc_.

## getResFlow()

ResFlow * grk::ImageComponentFlow::getResFlow | ( | uint8_t | resFlowNo | ) |

References grk::grk_read(), numResFlows_, and resFlows_.

## graph()

void grk::ImageComponentFlow::graph | ( | void |  | ) |

References grk::grk_read(), numResFlows_, resFlows_, and waveletFinalCopy_.

Referenced by grk::Scheduler::graph().

## setRegionDecompression()

void grk::ImageComponentFlow::setRegionDecompression | ( | void |  | ) |

References waveletFinalCopy_.

Referenced by grk::DecompressScheduler::scheduleBlocks().

## Member Data Documentation

## numResFlows_

uint8_t grk::ImageComponentFlow::numResFlows_

Referenced by addTo(), getFinalFlowT1(), getResFlow(), graph(), and ImageComponentFlow().

## prePostProc_

FlowComponent* grk::ImageComponentFlow::prePostProc_

Referenced by getPrePostProc(), and ~ImageComponentFlow().

## resFlows_

ResFlow* grk::ImageComponentFlow::resFlows_

Referenced by addTo(), getFinalFlowT1(), getResFlow(), graph(), ImageComponentFlow(), grk::DecompressScheduler::scheduleBlocks(), and ~ImageComponentFlow().

## waveletFinalCopy_

FlowComponent* grk::ImageComponentFlow::waveletFinalCopy_

Referenced by addTo(), getFinalFlowT1(), graph(), setRegionDecompression(), and ~ImageComponentFlow().

The documentation for this class was generated from the following files:

- ImageComponentFlow.h
- ImageComponentFlow.cpp